# ProgramChooser

## What's this

A library for microPython; it can be compared to an app launcher: just launch any function by usage of two buttons.
It was tested on a Raspberry Pi Pico. All other microPython boards are expected to work (maybe the LCD driver (see [here](PCF8574.py)) has to be ported)


## Needed peripherals

Needed for proper work are:

- an LCD panel with a PCF8574T backpack
- two buttons

That's it. Nothing more needed.

| Component         | Pin on component |      Pin on Board |
| :---------------- | :--------------: | ----------------: |
| Backpack          |             SDA  |             GPIO0 |
| Backpack          |             SCL  |             GPIO1 |
| Backpack          |             VCC  |              VBUS |
| Backpack          |             GND  |               GND |
| Button 1          |                1 | GPIO2<sup>1</sup> |
| Button 1          |                2 |               GND |
| Button 2          |                1 | GPIO3<sup>1</sup> |
| Button 2          |                2 |               GND |

> [<sup>1</sup>]: This pin can be specified at initialization of the ProgramChooser, see the [example](example) folder.

## License

This project is licensed under the GPL-v3-or-later. A copy can be found [here](LICENSE).
